/* Display properties */
/* 
    1. inline
    2. inline-block
    3. block
    4. none 
*/

#div-1 {
    background-color: green;
}
#div-2 {
    background-color: hotpink;
}
#span-1 {
    background-color: purple;
    display: block;
}
#span-2 {
    background-color: red;
    display: inline-block;
}
img {
    display: none;
}
/* Display property notes */
#p1 {
    background-color: #87CEFA;
}
#p2 {
    background-color: rgb(255,105,180);
    width: 60%;
}
#p3 {
    background-color: yellow;
    width: 40%;
}
.sample {
    display: inline-block;
    background-color: orange;
    border: 1px solid black;
    width: 30%;
}
/* Float propert
    1. none
    2. left
    3. right
*/

.img-float {
    display: block;
    width: 200px;
    height: 200px;
    float: none;
}

/* css units */
.box {
    background-color: purple;
    border: 1px solid black;
    margin: 5px;
}
.fifty-percent {
    width: 50%;
}
.one-hundred-pixels {
    width: 100px;

}
.fifty-vw {
    width: 50vw;

}
.twenty-five-vh {
    height: 25vh;
}

.parent {
    width: 135px;
    border: 2px solid navy;
    font-size: 50px;
}
.one-rem {
    font-size: 1rem;
}
.one-em {
    font-size: 1em;

}
.two-rem {
    font-size: 2rem;
    
}
.two-em {
    font-size: 2em;
    
}
.two-hundred-percent {
    font-size: 200%;

}
/* CSs background properties */
/* background repeat
    1. repeat
    2. repeat-x
    3. repeat-y
    4. round
    5. no-repeat
*/
.background {
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    min-height: 100vh;
    background-repeat: no-repeat;
    background-position: right top;
    background-size: 100%;
    background-attachment: fixed;
}
/* Css positioning 
    position:
        1. static
        2. absolute
        3. fixed
        4. relative
        5. sticky
*/
.parent-element {
    background-color: skyblue;
    padding: 50px 10px;
    position: relative;
    height: 800px;
}
.child-one {
    background-color: gray;
    padding: 10px;
}
.child-two {
    background-color: yellow;
    padding: 10px;
    position: absolute;
    top: 10px;
}
.child-three {
    background-color: darkgray;
    padding: 10px;
}
/* Z-index */
.container {
    position: relative;
}
.black-box {
    background-color: black;
    height: 100px;
    margin: 30px;
    position: relative;
    z-index: 1;
}
.gray-box {
    background-color: gray;
    height: 60px;
    width: 70%;
    position: absolute;
    left: 50px;
    top: 50px;
    z-index: 3;
}
.green-box {
    background-color: green;
    height: 150px;
    position: absolute;
    left: 270px;
    top: -15px;
    z-index: 2;
}